##########################################################################
#                                                                        #
#        Rich Topic  v1.0                                                #
#        copyright (c) 2005 Wolf and Associates                          #
#        written by: David Siedband david@wolfandassociates.com          #
#        open-source under the GPL v2.1 (see LICENSE.txt)                #
#                                                                        #
##########################################################################

"""package installer"""

from Globals import package_home
from Products.Archetypes.public import *
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory
import os, os.path

from config import *

registerDirectory(SKINS_DIR, GLOBALS)

def initialize(context):
    """do the init"""
    ##Import Types here to register them
    import RichTopic
   
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)
