##########################################################################
#                                                                        #
#        Watershed Portals  v2.0-pre                                     #
#        copyright (c) 2005 Wolf and Associates                          #
#        written by: David Siedband david@wolfandassociates.com          #
#        open-source under the GPL v2.1 (see LICENSE.txt)                #
#                                                                        #
##########################################################################

"""plone installer script"""

from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.RichTopic.config import *

from StringIO import StringIO

def install(self):
    """install the atct"""
    out = StringIO()

    installTypes(self, out,
                 listTypes(PROJECTNAME),
                 PROJECTNAME)

    install_subskin(self, out, GLOBALS)

    props = self.portal_properties.site_properties
    tabs = getattr(props, 'use_folder_tabs')
    contents = getattr(props, 'use_folder_contents')

    print >> out, "Successfully installed %s." % PROJECTNAME
    return out.getvalue()
